curl --request POST \
--url https://api.nuvia.ai/v1/messages/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversationId": "<string>",
"message": {
"content": "<string>",
"attachment": "<string>"
},
"followup": "<string>"
}
'import requests
url = "https://api.nuvia.ai/v1/messages/send"
payload = {
"conversationId": "<string>",
"message": {
"content": "<string>",
"attachment": "<string>"
},
"followup": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: '<string>',
message: {content: '<string>', attachment: '<string>'},
followup: '<string>'
})
};
fetch('https://api.nuvia.ai/v1/messages/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": "<string>",
"content_type": "TEXT",
"message_type": "INCOMING",
"status": "SENT",
"conversation": "<unknown>",
"inbox": "<unknown>",
"contact": "<unknown>",
"company": "<unknown>",
"_id": "<string>",
"additional_attributes": "<unknown>",
"sender_type": "CONTACT",
"source_id": "<string>",
"user": "<unknown>",
"attachments": [
"<unknown>"
],
"errors": [
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
],
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}Send text message
Sends a simple text message to a conversation. Supports multiple content types (TEXT, IMAGE, AUDIO, VIDEO, DOCUMENT).
Authorizations
Token JWT de autenticação
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Body
Response
Message sent successfully
Message content
Content type: TEXT, IMAGE, AUDIO, VIDEO, DOCUMENT, TEMPLATE, etc.
TEXT, CARDS, AUDIO, VIDEO, IMAGE, DOCUMENT, CONTACTS, LOCATION, TEMPLATE, STICKER, UNSUPPORTED Message type: INCOMING, OUTGOING, ACTIVITY
INCOMING, OUTGOING, ACTIVITY Message status: SENT, DELIVERED, READ, FAILED
SENT, DELIVERED, READ, FAILED Conversation associated with the message
Message's inbox
Message's contact
Message's company
Message ID
Additional message attributes
Sender type: CONTACT, USER, BOT, SYSTEM
CONTACT, USER, BOT, SYSTEM Message ID in the external platform
User who sent the message
Message attachments
List of errors associated with the message
Show child attributes
Show child attributes
Message creation date
Message update date